import { Sequelize } from "sequelize-typescript"
import cryptoUtil from "../utils/crypto"
import localLog from "../utils/logUtil"
// import "../../types/global"

const cfgFileName = process.env.NODE_ENV_CFG || "development"

// eslint-disable-next-line import/no-dynamic-require
const dataJSON = require(`./${cfgFileName}.json`)

// let cc = Encrypt(Buffer.from('Dingtone@me123456'), '123456')
// console.log('22222222222222222222222', cc, cryptoUtil.Decrypt(dataJSON.dbPWD, '123456'))
localLog("[server]-[config]-[db]-p1 ", dataJSON.metaImgActionUrl)

// let cc = Encrypt(Buffer.from('dingtone0722'), '123456')
// console.log('22222222222222222222222', cc, cryptoUtil.Decrypt(dataJSON.dbPWD, '123456'))
// global.CONNECTION_MAX_COUNT = 100
// global.CONNECTION_CUR_COUNT = 0
localLog(
    "[server]-[config]-[db]-p2 env ",
    String(process.env.NODE_ENV),
    ", cfgFileName ",
    cfgFileName
)
// console.log("aaaaaaaaaaaaaaaaaaaaaaaaaaaaa", cryptoUtil.Decrypt(dataJSON.dbPWD, "123456"))
const db = new Sequelize(
    dataJSON.dbName,
    dataJSON.dbUserName,
    cryptoUtil.Decrypt(dataJSON.dbPWD, "123456"),
    {
        // Dingtone@me123456
        host: dataJSON.dbHost,
        dialect: "mysql",
        // operatorsAliases: false,
        dialectOptions: {
            // 字符集
            charset: "utf8mb4",
            collate: "utf8mb4_unicode_ci",
            supportBigNumbers: true,
            bigNumberStrings: true,
        },

        pool: {
            max: 5,
            min: 0,
            acquire: 30000,
            idle: 10000,
        },
        timezone: "+08:00", // 东八时区
    }
)

// 显示sql参数
db.options.logQueryParameters = true

export default db
