import localLog from "./logUtil"

/**
 * 获取请求的post参数
 * @param {http_post对象} ctx
 * @returns
 */
export default class postUtil {
    static getPostData(ctx: any): Promise<any> {
        return new Promise((resolve, reject) => {
            try {
                resolve(ctx.request.body)
            } catch (error) {
                localLog("post data error")
                reject(error)
            }
        })
    }
}
