module.exports = {
    apps: [
        {
            name: "vidnow_share_msa",
            script: "server-evolve.js",
            // Options reference: https://pm2.io/doc/en/runtime/reference/ecosystem-file/
            args: "one two",
            mode: "cluster",
            instances: 4,
            // instances: 1,
            autorestart: true,
            watch: false,
            max_memory_restart: "1G",
            // NODE_ENV: "<%=process.env.NODE_ENV%>",
            env_development: {
                NODE_ENV: "development",
                NODE_ENV_CFG: "development",
            },
            env_test: {
                NODE_ENV: "test",
                NODE_ENV_CFG: "development",
            },
            env_production: {
                NODE_ENV: "production",
                NODE_ENV_CFG: "production",
            },
        },
    ],
}
