// 获取参数中某个值
function getQueryValue(queryName) {
    var reg = new RegExp("(^|&)" + queryName + "=([^&]*)(&|$)", "i")
    var r = window.location.search.substr(1).match(reg)
    if (r != null) {
        return decodeURI(r[2])
    } else {
        return null
    }
}

// 判断当前设备类型
function isAndoridIos() {
    var agent = navigator.userAgent.toLowerCase()
    if (/|iphone|ipod|ipad|ios/.test(agent)) {
        return "ios"
    } else {
        return "andorid"
    }
}

//personal dotting =====================
var userTmpRegion = {
    country: "",
    province: "",
    city: "",
    street: "",
    detailAddr: "",
}
function dotting_init() {
    var CONSTS_OSTYPES = {
        Android: "2",
        IOS: "1",
        Unknown: "3", //pc
    }

    if (!localStorage.dot_deviceId) {
        var dtStr = String(Date.now())
        var idStr = dtStr + Math.floor(Math.random() * 1000)
        localStorage.dot_deviceId = "dId." + idStr
        localStorage.dot_userId = idStr
    }
    var matches = navigator.userAgent.match(/Android [^)^;]{1,}|OS [^)^;]{1,}|NT [^)^;]{1,}/)
    if (matches && matches[0]) {
        var osName = matches[0].split(" ")[0]
        if (osName.indexOf("Android") > -1) {
            localStorage.osType = CONSTS_OSTYPES.Android //android
        } else if (osName.indexOf("OS") > -1) {
            localStorage.osType = CONSTS_OSTYPES.IOS //ios
        } else {
            localStorage.osType = CONSTS_OSTYPES.Unknown //unknown
        }

        var versionStr = matches[0].split(" ")[1]
        var verStrP1 = versionStr.split(".")[0]
        localStorage.osVersion = verStrP1.split("_")[0]
    }
}
dotting_init()

function loadRegion(callback) {
    // axios.get("/api/share/getIpRegion").then(function (res) {
    //     // console.log('ddddddddddddd', JSON.stringify(res.data))
    //     userTmpRegion = res.data.data.region

    //     var queryDic = getHrefParam(["l", "c", "tp", "pf"])
    //     navigator.sendBeacon("/api/share/dotting", {
    //         eventName: "h5_landing_open_pre",
    //         data: {
    //             userAgent: navigator.userAgent,
    //             href: location.href,
    //             userId: localStorage.dot_userId,
    //             deviceId: localStorage.dot_deviceId,
    //             referer: document.referrer,
    //             country: queryDic["c"] || "US",
    //             language: queryDic["l"] || "en",

    //             osType: localStorage.osType,
    //             osVersion: localStorage.osVersion,

    //             region: userTmpRegion,
    //         },
    //         label: "tp",
    //         value: queryDic["tp"],
    //     })

    //     callback()
    // })
    var queryDic = getHrefParam(["l", "c", "tp", "pf"])
    navigator.sendBeacon("/api/share/dotting", JSON.stringify({
        eventName: "h5_landing_open_pre",
        data: {
            userAgent: navigator.userAgent,
            href: location.href,
            userId: localStorage.dot_userId,
            deviceId: localStorage.dot_deviceId,

            referer: document.referrer,

            country: queryDic["c"] || "US",
            language: queryDic["l"] || "en",

            osType: localStorage.osType,
            osVersion: localStorage.osVersion,

            region: userTmpRegion,
        },
        label: "tp",
        value: queryDic["tp"],
    }))
    callback()
}
