// extends Iterator
export interface MetaInfo {
    // pageDebug: number
    // querystring: string
    // icoPath: string
    // meta: {
    og_imgw: string
    og_imgh: string
    og_image: string
    og_title: string
    description: string
    og_url: string
    og_site_name: string
    og_type: string
    title: string
    og_image_scu: string

    // }
    // channel: string
    // language: string
    // countryCode: string
    // moduleName: string
    // inviteKey: string
    // inviteKeyD: string
    // inviteKeyID: string
    // pid: string
    // fullPath: string
    // originActUrl: string
    // // type: activityEntity.type,
    // isDownLoad: true
    // pageType: number // 1: 普通页面流程  2：可以在活动页面打不开的情况下，显示下载页面 3：在特定的浏览器中显示下载引导文案
    // type: number // 1 : 下载活动页面 2: 下载
    // ignoreRetrieve: boolean // 是否忽略上报(vidnow唯一标识)
}

export interface ShareInfo {
    type: string
    shareName: string
    shareOriginUrl: string | string[]
    shareType: string
    shareNumber: string
    pageType: string
    shareCode: string
    areaCodes: string[]
    sharePlatforms: string[]
    active: boolean
    ignoreRetrieve: boolean
    upgradeNums: number
    verified: boolean
    shDomainSet?: string[]
    shareMetas: {
        meta: MetaInfo
        platform: string
    }[]
}

export interface CampaignInfo {
    meta: MetaInfo
    campaignPid: string
    productId: string
    active: false
    verified: false
    campaignName: string
    campaignNickName: string
    campaignUrl: string
    campaignCode: string
    campaign_shares_Dic: {
        [key: string]: ShareInfo
    }
}

export default class ProductInfo {
    appType: number = 0

    productId: string = ""

    domainSet: string[] = []

    productName: string = ""

    campaigns_Dic: {
        [key: string]: CampaignInfo
    } = {}
}
