import {
    getShareLinkByPidAndNumber,
    getShareLinkExtByPidAndNumber,
    getImg,
    getImg2,
    getIpRegion,
    dotting,
} from "../controllers/campaign/index"

const Router = require("koa-router")

const router = new Router()

router.get("/share/getShareLink", getShareLinkByPidAndNumber)
router.post("/share/getShareLinkExt", getShareLinkExtByPidAndNumber)
router.get("/share/getImg", getImg)
router.get("/share/getPImg/:imgUrl", getImg2)
router.get("/share/getIpRegion", getIpRegion)
router.post("/share/dotting", dotting)

export default router
