/* eslint-disable indent */
// eslint-disable-next-line indent
import { Table, Column, Model, DataType } from "sequelize-typescript"
import Db from "../config/db2"

// from https://michalzalecki.com/using-sequelize-with-typescript/
// const { DataTypes } = require("sequelize")

// https://runebook.dev/zh-CN/docs/sequelize/manual/typescript
// https://github.com/sequelize/sequelize/issues/11270
@Table({
    tableName: "resinfos",
    timestamps: false,
    freezeTableName: true,
})
class ResInfo2 extends Model<ResInfo2> {
    @Column({
        type: DataType.STRING,
        primaryKey: true,
        allowNull: false,
        validate: {
            len: [0, 200],
        },
    })
    id!: string

    @Column({
        type: DataType.STRING,
        allowNull: false,
        field: "key1",
        validate: {
            len: [0, 200],
        },
    })
    key1!: string

    @Column({
        type: DataType.TEXT,
        allowNull: false,
        field: "val1",
        validate: {
            len: [0, 1000],
        },
    })
    val1!: string

    @Column({
        type: DataType.STRING,
        allowNull: true,
        field: "key2",
        validate: {
            len: [0, 200],
        },
    })
    key2!: string

    @Column({
        type: DataType.TEXT,
        allowNull: true,
        field: "val2",
        validate: {
            len: [0, 1000],
        },
    })
    val2!: string

    @Column({
        type: DataType.STRING,
        allowNull: true,
        field: "key3",
        validate: {
            len: [0, 200],
        },
    })
    key3!: string

    @Column({
        type: DataType.TEXT,
        allowNull: true,
        field: "val3",
        validate: {
            len: [0, 1000],
        },
    })
    val3!: string

    @Column({
        type: DataType.STRING,
        allowNull: true,
        field: "key4",
        validate: {
            len: [0, 200],
        },
    })
    key4!: string

    @Column({
        type: DataType.TEXT,
        allowNull: true,
        field: "val4",
        validate: {
            len: [0, 1000],
        },
    })
    val4!: string

    @Column({
        type: DataType.STRING,
        allowNull: true,
        field: "key5",
        validate: {
            len: [0, 200],
        },
    })
    key5!: string

    @Column({
        type: DataType.TEXT,
        allowNull: true,
        field: "val5",
        validate: {
            len: [0, 1000],
        },
    })
    val5!: string

    @Column({
        type: DataType.STRING,
        allowNull: true,
        field: "key6",
        validate: {
            len: [0, 200],
        },
    })
    key6!: string

    @Column({
        type: DataType.TEXT,
        allowNull: true,
        field: "val6",
        validate: {
            len: [0, 1000],
        },
    })
    val6!: string

    @Column({
        type: DataType.STRING,
        allowNull: true,
        field: "key7",
        validate: {
            len: [0, 200],
        },
    })
    key7!: string

    @Column({
        type: DataType.TEXT,
        allowNull: true,
        field: "val7",
        validate: {
            len: [0, 1000],
        },
    })
    val7!: string

    @Column({
        type: DataType.STRING,
        allowNull: true,
        field: "key8",
        validate: {
            len: [0, 200],
        },
    })
    key8!: string

    @Column({
        type: DataType.TEXT,
        allowNull: true,
        field: "val8",
        validate: {
            len: [0, 1000],
        },
    })
    val8!: string

    @Column({
        type: DataType.BIGINT,
        allowNull: false,
        field: "create_time",
    })
    createTime!: number

    @Column({
        type: DataType.BIGINT,
        allowNull: false,
        field: "update_time",
    })
    updateTime!: number
}

Db.addModels([ResInfo2])

export default ResInfo2
export interface IResInfo2 extends ResInfo2 {}
